Bug 203208 - gfortran internal compiler error using openmp and optimizations
gfortran internal compiler error using openmp and optimizations
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-18 17:46 EDT by Hugh Merz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 08:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source code that triggers ICE (66.27 KB, application/octet-stream)
2006-08-18 17:46 EDT, Hugh Merz
no flags Details
Header file required to compile Source (2.32 KB, text/x-fortran)
2006-08-18 17:47 EDT, Hugh Merz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 28790 None None None Never

  None (edit)
Description Hugh Merz 2006-08-18 17:46:13 EDT
Description of problem:

Compiling the attached OpenMP fortran code with gfortran causes an ICE when
specifying `-fopenmp` and any of `-O1`,`-O2` or `-O3`.  

Version-Release number of selected component (if applicable):

gcc version 4.1.1 20060525 (Red Hat 4.1.1-1)

How reproducible:

Fails to compile every time.

Steps to Reproduce:
1.copy pmfast_shmem.F90 and fftw3.f to $PWD
2.gfortran -g -O3 -DFFTW_ONLY -c -fopenmp pmfast_shmem.F90
  
Actual results:

>gfortran -g -O3 -DFFTW_ONLY -c -fopenmp pmfast_shmem.F90
pmfast_shmem.F90: In function 'density_proj':
pmfast_shmem.F90:1955: internal compiler error: in
initialize_inlined_parameters, at tree-inline.c:1158

Expected results:

Code should compile.  It works fine if `-fopenmp` is omitted, or if
optimizations are set to `-O0`.  Also works with other fortran OpenMP compilers.

Additional info:
Comment 1 Hugh Merz 2006-08-18 17:46:14 EDT
Created attachment 134487 [details]
Source code that triggers ICE
Comment 2 Hugh Merz 2006-08-18 17:47:46 EDT
Created attachment 134488 [details]
Header file required to compile Source
Comment 3 Jakub Jelinek 2006-08-21 08:32:03 EDT
Tracking upstream.

Note You need to log in before you can comment on or make changes to this bug.